/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "@stencil/core/internal";
export namespace Components {
    interface GlassEducationRecords {
        /**
          * Insurance Expiration date
         */
        "birthDate": Date | string;
        /**
          * The tertiary  school degree issue grade
         */
        "ectsCredits": string;
        /**
          * The sex
         */
        "gender": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        /**
          * The higher secondary school degree issue date
         */
        "higherSecondarySchoolDegreeIssueDate": Date | string;
        /**
          * The higher secondary school degree issue grade
         */
        "higherSecondarySchoolGrade": string;
        /**
          * The higher secondary school name
         */
        "higherSecondarySchoolName": string;
        /**
          * The id-number of the id
         */
        "idNumber": string;
        /**
          * The lower secondary school degree issue date
         */
        "lowerSecondarySchoolDegreeIssueDate": Date | string;
        /**
          * The lower secondary school degree issue grade
         */
        "lowerSecondarySchoolGrade": string;
        /**
          * The lower secondary school name
         */
        "lowerSecondarySchoolName": string;
        /**
          * Nationality
         */
        "nationality": string;
        /**
          * The primary school degree issue date
         */
        "primarySchoolDegreeIssueDate": Date | string;
        /**
          * The primary school degree issue date
         */
        "primarySchoolGrade": string;
        /**
          * The primary school name
         */
        "primarySchoolName": string;
        /**
          * Path to the image that will be embed
         */
        "scrImage": string;
        /**
          * The surname of the id
         */
        "surname": string;
        /**
          * The tertiary school degree issue date
         */
        "tertiaryDegreeIssueDate": Date | string;
        /**
          * The tertiary  school degree issue grade
         */
        "tertiarySchoolGrade": string;
        /**
          * The tertiary school name
         */
        "tertiarySchoolName": string;
        /**
          * The tertiary  school degree issue grade
         */
        "tertiarySchoolType": string;
    }
    interface GlassEducationRecordsGr {
        /**
          * Insurance Expiration date
         */
        "birthDate": Date | string;
        /**
          * The tertiary  school degree issue grade
         */
        "ectsCredits": string;
        /**
          * The sex
         */
        "gender": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        /**
          * The higher secondary school degree issue date
         */
        "higherSecondarySchoolDegreeIssueDate": Date | string;
        /**
          * The higher secondary school degree issue grade
         */
        "higherSecondarySchoolGrade": string;
        /**
          * The higher secondary school name
         */
        "higherSecondarySchoolName": string;
        /**
          * The id-number of the id
         */
        "idNumber": string;
        /**
          * The lower secondary school degree issue date
         */
        "lowerSecondarySchoolDegreeIssueDate": Date | string;
        /**
          * The lower secondary school degree issue grade
         */
        "lowerSecondarySchoolGrade": string;
        /**
          * The lower secondary school name
         */
        "lowerSecondarySchoolName": string;
        /**
          * Nationality
         */
        "nationality": string;
        /**
          * The primary school degree issue date
         */
        "primarySchoolDegreeIssueDate": Date | string;
        /**
          * The primary school degree issue date
         */
        "primarySchoolGrade": string;
        /**
          * The primary school name
         */
        "primarySchoolName": string;
        /**
          * Path to the image that will be embed
         */
        "scrImage": string;
        /**
          * The surname of the id
         */
        "surname": string;
        /**
          * The tertiary school degree issue date
         */
        "tertiaryDegreeIssueDate": Date | string;
        /**
          * The tertiary  school degree issue grade
         */
        "tertiarySchoolGrade": string;
        /**
          * The tertiary school name
         */
        "tertiarySchoolName": string;
        /**
          * The tertiary  school degree issue grade
         */
        "tertiarySchoolType": string;
    }
    interface GlassEducationRecordsPt {
        /**
          * Insurance Expiration date
         */
        "birthDate": Date | string;
        /**
          * The tertiary  school degree issue grade
         */
        "ectsCredits": string;
        /**
          * The sex
         */
        "gender": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        /**
          * The higher secondary school degree issue date
         */
        "higherSecondarySchoolDegreeIssueDate": Date | string;
        /**
          * The higher secondary school degree issue grade
         */
        "higherSecondarySchoolGrade": string;
        /**
          * The higher secondary school name
         */
        "higherSecondarySchoolName": string;
        /**
          * The id-number of the id
         */
        "idNumber": string;
        /**
          * The lower secondary school degree issue date
         */
        "lowerSecondarySchoolDegreeIssueDate": Date | string;
        /**
          * The lower secondary school degree issue grade
         */
        "lowerSecondarySchoolGrade": string;
        /**
          * The lower secondary school name
         */
        "lowerSecondarySchoolName": string;
        /**
          * Nationality
         */
        "nationality": string;
        /**
          * The primary school degree issue date
         */
        "primarySchoolDegreeIssueDate": Date | string;
        /**
          * The primary school degree issue date
         */
        "primarySchoolGrade": string;
        /**
          * The primary school name
         */
        "primarySchoolName": string;
        /**
          * Path to the image that will be embed
         */
        "scrImage": string;
        /**
          * The surname of the id
         */
        "surname": string;
        /**
          * The tertiary school degree issue date
         */
        "tertiaryDegreeIssueDate": Date | string;
        /**
          * The tertiary  school degree issue grade
         */
        "tertiarySchoolGrade": string;
        /**
          * The tertiary school name
         */
        "tertiarySchoolName": string;
        /**
          * The tertiary  school degree issue grade
         */
        "tertiarySchoolType": string;
    }
    interface GlassEducationRecordsTk {
        /**
          * Insurance Expiration date
         */
        "birthDate": Date | string;
        /**
          * The tertiary  school degree issue grade
         */
        "ectsCredits": string;
        /**
          * The sex
         */
        "gender": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        /**
          * The higher secondary school degree issue date
         */
        "higherSecondarySchoolDegreeIssueDate": Date | string;
        /**
          * The higher secondary school degree issue grade
         */
        "higherSecondarySchoolGrade": string;
        /**
          * The higher secondary school name
         */
        "higherSecondarySchoolName": string;
        /**
          * The id-number of the id
         */
        "idNumber": string;
        /**
          * The lower secondary school degree issue date
         */
        "lowerSecondarySchoolDegreeIssueDate": Date | string;
        /**
          * The lower secondary school degree issue grade
         */
        "lowerSecondarySchoolGrade": string;
        /**
          * The lower secondary school name
         */
        "lowerSecondarySchoolName": string;
        /**
          * Nationality
         */
        "nationality": string;
        /**
          * The primary school degree issue date
         */
        "primarySchoolDegreeIssueDate": Date | string;
        /**
          * The primary school degree issue date
         */
        "primarySchoolGrade": string;
        /**
          * The primary school name
         */
        "primarySchoolName": string;
        /**
          * Path to the image that will be embed
         */
        "scrImage": string;
        /**
          * The surname of the id
         */
        "surname": string;
        /**
          * The tertiary school degree issue date
         */
        "tertiaryDegreeIssueDate": Date | string;
        /**
          * The tertiary  school degree issue grade
         */
        "tertiarySchoolGrade": string;
        /**
          * The tertiary school name
         */
        "tertiarySchoolName": string;
        /**
          * The tertiary  school degree issue grade
         */
        "tertiarySchoolType": string;
    }
}
declare global {
    interface HTMLGlassEducationRecordsElement extends Components.GlassEducationRecords, HTMLStencilElement {
    }
    var HTMLGlassEducationRecordsElement: {
        prototype: HTMLGlassEducationRecordsElement;
        new (): HTMLGlassEducationRecordsElement;
    };
    interface HTMLGlassEducationRecordsGrElement extends Components.GlassEducationRecordsGr, HTMLStencilElement {
    }
    var HTMLGlassEducationRecordsGrElement: {
        prototype: HTMLGlassEducationRecordsGrElement;
        new (): HTMLGlassEducationRecordsGrElement;
    };
    interface HTMLGlassEducationRecordsPtElement extends Components.GlassEducationRecordsPt, HTMLStencilElement {
    }
    var HTMLGlassEducationRecordsPtElement: {
        prototype: HTMLGlassEducationRecordsPtElement;
        new (): HTMLGlassEducationRecordsPtElement;
    };
    interface HTMLGlassEducationRecordsTkElement extends Components.GlassEducationRecordsTk, HTMLStencilElement {
    }
    var HTMLGlassEducationRecordsTkElement: {
        prototype: HTMLGlassEducationRecordsTkElement;
        new (): HTMLGlassEducationRecordsTkElement;
    };
    interface HTMLElementTagNameMap {
        "glass-education-records": HTMLGlassEducationRecordsElement;
        "glass-education-records-gr": HTMLGlassEducationRecordsGrElement;
        "glass-education-records-pt": HTMLGlassEducationRecordsPtElement;
        "glass-education-records-tk": HTMLGlassEducationRecordsTkElement;
    }
}
declare namespace LocalJSX {
    interface GlassEducationRecords {
        /**
          * Insurance Expiration date
         */
        "birthDate"?: Date | string;
        /**
          * The tertiary  school degree issue grade
         */
        "ectsCredits"?: string;
        /**
          * The sex
         */
        "gender"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        /**
          * The higher secondary school degree issue date
         */
        "higherSecondarySchoolDegreeIssueDate"?: Date | string;
        /**
          * The higher secondary school degree issue grade
         */
        "higherSecondarySchoolGrade"?: string;
        /**
          * The higher secondary school name
         */
        "higherSecondarySchoolName"?: string;
        /**
          * The id-number of the id
         */
        "idNumber"?: string;
        /**
          * The lower secondary school degree issue date
         */
        "lowerSecondarySchoolDegreeIssueDate"?: Date | string;
        /**
          * The lower secondary school degree issue grade
         */
        "lowerSecondarySchoolGrade"?: string;
        /**
          * The lower secondary school name
         */
        "lowerSecondarySchoolName"?: string;
        /**
          * Nationality
         */
        "nationality"?: string;
        /**
          * The primary school degree issue date
         */
        "primarySchoolDegreeIssueDate"?: Date | string;
        /**
          * The primary school degree issue date
         */
        "primarySchoolGrade"?: string;
        /**
          * The primary school name
         */
        "primarySchoolName"?: string;
        /**
          * Path to the image that will be embed
         */
        "scrImage"?: string;
        /**
          * The surname of the id
         */
        "surname"?: string;
        /**
          * The tertiary school degree issue date
         */
        "tertiaryDegreeIssueDate"?: Date | string;
        /**
          * The tertiary  school degree issue grade
         */
        "tertiarySchoolGrade"?: string;
        /**
          * The tertiary school name
         */
        "tertiarySchoolName"?: string;
        /**
          * The tertiary  school degree issue grade
         */
        "tertiarySchoolType"?: string;
    }
    interface GlassEducationRecordsGr {
        /**
          * Insurance Expiration date
         */
        "birthDate"?: Date | string;
        /**
          * The tertiary  school degree issue grade
         */
        "ectsCredits"?: string;
        /**
          * The sex
         */
        "gender"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        /**
          * The higher secondary school degree issue date
         */
        "higherSecondarySchoolDegreeIssueDate"?: Date | string;
        /**
          * The higher secondary school degree issue grade
         */
        "higherSecondarySchoolGrade"?: string;
        /**
          * The higher secondary school name
         */
        "higherSecondarySchoolName"?: string;
        /**
          * The id-number of the id
         */
        "idNumber"?: string;
        /**
          * The lower secondary school degree issue date
         */
        "lowerSecondarySchoolDegreeIssueDate"?: Date | string;
        /**
          * The lower secondary school degree issue grade
         */
        "lowerSecondarySchoolGrade"?: string;
        /**
          * The lower secondary school name
         */
        "lowerSecondarySchoolName"?: string;
        /**
          * Nationality
         */
        "nationality"?: string;
        /**
          * The primary school degree issue date
         */
        "primarySchoolDegreeIssueDate"?: Date | string;
        /**
          * The primary school degree issue date
         */
        "primarySchoolGrade"?: string;
        /**
          * The primary school name
         */
        "primarySchoolName"?: string;
        /**
          * Path to the image that will be embed
         */
        "scrImage"?: string;
        /**
          * The surname of the id
         */
        "surname"?: string;
        /**
          * The tertiary school degree issue date
         */
        "tertiaryDegreeIssueDate"?: Date | string;
        /**
          * The tertiary  school degree issue grade
         */
        "tertiarySchoolGrade"?: string;
        /**
          * The tertiary school name
         */
        "tertiarySchoolName"?: string;
        /**
          * The tertiary  school degree issue grade
         */
        "tertiarySchoolType"?: string;
    }
    interface GlassEducationRecordsPt {
        /**
          * Insurance Expiration date
         */
        "birthDate"?: Date | string;
        /**
          * The tertiary  school degree issue grade
         */
        "ectsCredits"?: string;
        /**
          * The sex
         */
        "gender"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        /**
          * The higher secondary school degree issue date
         */
        "higherSecondarySchoolDegreeIssueDate"?: Date | string;
        /**
          * The higher secondary school degree issue grade
         */
        "higherSecondarySchoolGrade"?: string;
        /**
          * The higher secondary school name
         */
        "higherSecondarySchoolName"?: string;
        /**
          * The id-number of the id
         */
        "idNumber"?: string;
        /**
          * The lower secondary school degree issue date
         */
        "lowerSecondarySchoolDegreeIssueDate"?: Date | string;
        /**
          * The lower secondary school degree issue grade
         */
        "lowerSecondarySchoolGrade"?: string;
        /**
          * The lower secondary school name
         */
        "lowerSecondarySchoolName"?: string;
        /**
          * Nationality
         */
        "nationality"?: string;
        /**
          * The primary school degree issue date
         */
        "primarySchoolDegreeIssueDate"?: Date | string;
        /**
          * The primary school degree issue date
         */
        "primarySchoolGrade"?: string;
        /**
          * The primary school name
         */
        "primarySchoolName"?: string;
        /**
          * Path to the image that will be embed
         */
        "scrImage"?: string;
        /**
          * The surname of the id
         */
        "surname"?: string;
        /**
          * The tertiary school degree issue date
         */
        "tertiaryDegreeIssueDate"?: Date | string;
        /**
          * The tertiary  school degree issue grade
         */
        "tertiarySchoolGrade"?: string;
        /**
          * The tertiary school name
         */
        "tertiarySchoolName"?: string;
        /**
          * The tertiary  school degree issue grade
         */
        "tertiarySchoolType"?: string;
    }
    interface GlassEducationRecordsTk {
        /**
          * Insurance Expiration date
         */
        "birthDate"?: Date | string;
        /**
          * The tertiary  school degree issue grade
         */
        "ectsCredits"?: string;
        /**
          * The sex
         */
        "gender"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        /**
          * The higher secondary school degree issue date
         */
        "higherSecondarySchoolDegreeIssueDate"?: Date | string;
        /**
          * The higher secondary school degree issue grade
         */
        "higherSecondarySchoolGrade"?: string;
        /**
          * The higher secondary school name
         */
        "higherSecondarySchoolName"?: string;
        /**
          * The id-number of the id
         */
        "idNumber"?: string;
        /**
          * The lower secondary school degree issue date
         */
        "lowerSecondarySchoolDegreeIssueDate"?: Date | string;
        /**
          * The lower secondary school degree issue grade
         */
        "lowerSecondarySchoolGrade"?: string;
        /**
          * The lower secondary school name
         */
        "lowerSecondarySchoolName"?: string;
        /**
          * Nationality
         */
        "nationality"?: string;
        /**
          * The primary school degree issue date
         */
        "primarySchoolDegreeIssueDate"?: Date | string;
        /**
          * The primary school degree issue date
         */
        "primarySchoolGrade"?: string;
        /**
          * The primary school name
         */
        "primarySchoolName"?: string;
        /**
          * Path to the image that will be embed
         */
        "scrImage"?: string;
        /**
          * The surname of the id
         */
        "surname"?: string;
        /**
          * The tertiary school degree issue date
         */
        "tertiaryDegreeIssueDate"?: Date | string;
        /**
          * The tertiary  school degree issue grade
         */
        "tertiarySchoolGrade"?: string;
        /**
          * The tertiary school name
         */
        "tertiarySchoolName"?: string;
        /**
          * The tertiary  school degree issue grade
         */
        "tertiarySchoolType"?: string;
    }
    interface IntrinsicElements {
        "glass-education-records": GlassEducationRecords;
        "glass-education-records-gr": GlassEducationRecordsGr;
        "glass-education-records-pt": GlassEducationRecordsPt;
        "glass-education-records-tk": GlassEducationRecordsTk;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "glass-education-records": LocalJSX.GlassEducationRecords & JSXBase.HTMLAttributes<HTMLGlassEducationRecordsElement>;
            "glass-education-records-gr": LocalJSX.GlassEducationRecordsGr & JSXBase.HTMLAttributes<HTMLGlassEducationRecordsGrElement>;
            "glass-education-records-pt": LocalJSX.GlassEducationRecordsPt & JSXBase.HTMLAttributes<HTMLGlassEducationRecordsPtElement>;
            "glass-education-records-tk": LocalJSX.GlassEducationRecordsTk & JSXBase.HTMLAttributes<HTMLGlassEducationRecordsTkElement>;
        }
    }
}
